Subject: bug#56188: 28.1; blink-matching-paren works wrong with non-ASCII parentheses

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Jun 2022 17:05:58 +0300

> Cc: [email-masked]
> Date: Fri, 24 Jun 2022 16:38:54 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: [email-masked]
> > Date: Fri, 24 Jun 2022 22:08:25 +0900
> > 
> > 
> > In emacs-lisp-mode or lisp-intraction-mode, insert following text.
> >   ;;abc def【ghi】
> >   ;;【123】456 789
> > 
> > When the cursor is before 【ghi】, highlighting is not done.
> > When the cursor is after  【ghi】, 'd' is highlighted.
> > when the cursor is before 【123】, '6' is highlighted.
> > when the cursor is after  【123】, highlighting is not done.
> 
> I cannot reproduce this.

Sorry, I take this back: I do see the problem.  It's just that being
in one of the above modes is critical for reproducing it.